Get transaction details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get the payment provider specific details for a transaction. This is an unstructured response that is different for each payment provider.

Errors

The operation can generate the following errors beside the generic HTTP error codes described here.

Error code HTTP codeDescription
31404Invoice not found
70 404Transaction not found

Example Responses

Each provider has provider-specific details. Below you can see a few example responses. Note that fields presented are not exhaustive and may vary depending on transaction type, state, and context.

{
    "amount": 10000,
    "invoiceHandle": "charge_test_1753887245",
    "created": "2025-07-30T14:54:04.566+00:00",
    "chargeType": "UNSCHEDULED",
    "description": "charge_test_1753887245",
    "currency": "NOK",
    "id": "bc79e3348a53589d8f3e12b28533c51d",
    "vippsChargeId": "chargetest1753887245-bc79e3348a53589d8f3e12b28533c",
    "transactionState": "ACCEPTED",
    "status": "SETTLED"
}
{
    "amount": 500,
    "error_state": null,
    "capturedAmount": 500,
    "paypalRefundId": "21X75812A1371641Y",
    "handle": "order_test_1753793991",
    "error": null,
    "acquirer_message": null,
    "paymentType": "PAYPAL",
    "paypalCaptureId": "6ER66872RS398633F",
    "agreementId": "3d2d6b789068c59a6554fee02b662e4c",
    "paypalOrderId": "20X98391L6450272K",
    "currency": "NOK",
    "paypalAuthId": null,
    "id": "pp_a1460da707bcbefb6fbca315cb0059ca",
    "refundedAmount": 500,
    "status": "REFUNDED"
}
{
    "card_info_bank": "CONOTOXIA SP. Z O.O",
    "ip_info_city": "Copenhagen",
    "acquirer_code": "000",
    "strong_authentication_status": "THREED_SECURE",
    "strong_authentication_rule": "MUST_USE_SCA_AUTH",
    "secured_by_nets_status": null,
    "card_info_brand": "VISA",
    "tid": "21f1606812f3874",
    "card_info_corporate_card": "false",
    "transaction_card_type": "visa",
    "acquirer_reference": "order_test_1754480619",
    "card_info_funding": "DEBIT",
    "emv_token_id": "9fa7804f74eaebd73f49a37f28524491",
    "fingerprint": "par_959a171c47215566de566f8834bfae06",
    "threed_secure_status": "Y",
    "masked_token": "489537XXXXXX6485",
    "currency": "DKK",
    "provider_name": "TEST",
    "payment_context": "CIT",
    "emv_token_enrollment_id": "445f82a3b8bf87b7a2cab30e6be1f8f4",
    "transaction_id": "9b0199cfcccb0e3c924a5d73cc9c3f49",
    "text_on_statement": "Nunya 0",
    "amount": "500",
    "ip_info_longitude": "12.56834",
    "ip": "78.153.175.226",
    "threed_secure_eci": "05",
    "strong_authentication_scheme": "THREED_SECURE_V2",
    "acquirer_message": null,
    "cardno": "tst_7456d4038b9236442b0552cb74e6fd1f",
    "card_id": "c4d338a1fc458afd831cbe6df410fef7",
    "threed_secure_frictionless": "false",
    "token": "ct_ee60249f43deb32ccb22d1f0383b82f1",
    "requester_country": "DK",
    "card_info_category": "CLASSIC",
    "card_info_country": "PL",
    "payment_type": "EMV_TOKEN",
    "threed_secure_status_reason": null,
    "agreement_id": "b4b81872ef30202a8ceee3bc1526684a",
    "transaction_state": "ACCEPTED",
    "pan_type": "RECURRING_TOKEN",
    "ip_info_region": "Capital Region",
    "order_id": "order_test_1754480619",
    "ip_info_latitude": "55.6761",
    "card_info_prepaid": "false"
}
{
    "reference": "ref-123",
    "amount": 500,
    "method": "BANK_TRANSFER",
    "created": "2025-08-08T13:02:23.723+00:00",
    "settled": "2025-08-08T13:02:23.730+00:00",
    "comment": "Some comment",
    "id": "a0bafa592f4c9bf36149b80e5bcc1118",
    "invoice": "order_test_1754485969",
    "payment_date": "2025-08-07T22:00:00.000+00:00"
}
Path Params
string
required

Invoice id or handle

string
required

Transaction id

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json